[Frugalware-devel] [NEW PACKAGE] luasec

Miklos Vajna vmiklos at frugalware.org
Tue Mar 23 00:44:50 CET 2010


On Sat, Mar 20, 2010 at 07:30:37PM +0100, Adrien Ramos <adrien.ramos at upyum.com> wrote:
> +pkgname=luasec
> +pkgver=0.4
> +pkgrel=1
> +pkgdesc='LuaSec is a lua binding for OpenSSL library'
> +url='http://www.inf.puc-rio.br/~brunoos/luasec/'
> +depends=('lua' 'luasocket' 'openssl')

luasocket already depends on lua, so lua is not necessary here.

> +groups=('lib-extra')
> +archs=('i686' 'x86_64')
> +up2date="lynx -dump http://www.inf.puc-rio.br/~brunoos/luasec/ | grep -m1 luasec | cut -d '-' -f 2 | cut -d '.' -f 1-2"

You overcomplicated it. :)

up2date="Flasttar $url"

works for me.

The rest looks fine.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: not available
URL: </pipermail/attachments/20100323/a9d06ff2/attachment.asc>


More information about the Frugalware-devel mailing list